SELECT @parent_id:=id FROM `cms3_object_types` WHERE `guid`='emarket-payment';
SELECT @hierarchy_type_id:=id FROM `cms3_hierarchy_types` WHERE `name`='emarket' AND `ext`='payment';
SELECT @type_id:=id FROM `cms3_object_types` WHERE `guid`='emarket-paymenttype';
SELECT @payment_type_id:=id FROM `cms3_object_fields` WHERE `name`='payment_type_id';

INSERT INTO `cms3_object_types` VALUES(NULL, 'emarket-payment-850', 'tmgco', 1, @parent_id, 0, 0, @hierarchy_type_id, 0);
SET @obj_type = LAST_INSERT_ID( ) ;
INSERT INTO `cms3_import_types` VALUES ('1', '850', @obj_type);
INSERT INTO `cms3_objects` VALUES(NULL, 'emarket-paymenttype-tmgco', 'tmgco', 0, @type_id, 9, NULL);
SET @obj = LAST_INSERT_ID( ) ;
INSERT INTO `cms3_import_objects`  VALUES(1, 'tmgco', @obj);
SELECT @field_id:=new_id FROM `cms3_import_fields` WHERE `source_id`='1' AND `field_name`='class_name' AND `type_id`=@type_id;
INSERT INTO `cms3_object_content` VALUES(@obj, @field_id, NULL, 'tmgco', NULL, NULL, NULL, NULL);
SELECT @field_id:=new_id FROM `cms3_import_fields` WHERE `source_id`='1' AND `field_name`='payment_type_id' AND `type_id`=@type_id;
INSERT INTO `cms3_object_content` VALUES(@obj, @field_id, @obj_type, NULL, NULL, NULL, NULL, NULL);
SELECT @field_id:=new_id FROM `cms3_import_fields` WHERE `source_id`='1' AND `field_name`='payment_type_guid' AND `type_id`=@type_id;
INSERT INTO `cms3_object_content` VALUES(@obj, @field_id, NULL, 'emarket-payment-850', NULL, NULL, NULL, NULL);

INSERT INTO `cms3_object_field_groups` VALUES(NULL, 'payment_props', 'PayKeeper payment method properties', @obj_type, 1, 1, 5, 0);
SET @field_group = LAST_INSERT_ID( ) ;
INSERT INTO `cms3_fields_controller` VALUES(5, @payment_type_id, @field_group);

INSERT INTO `cms3_object_field_groups` VALUES(NULL, 'settings', 'PayKeeper settings', @obj_type, 1, 1, 10, 0);
SET @field_group = LAST_INSERT_ID( ) ;

INSERT INTO `cms3_object_fields` VALUES(NULL, 'payment_form_url', 'URL of payment form', 1, 13, 0, 1, NULL, 0, 0, '', 0, NULL, 0, 0);
SET @field = LAST_INSERT_ID( ) ;
INSERT INTO `cms3_fields_controller` VALUES (15, @field, @field_group);

INSERT INTO `cms3_object_fields` VALUES(NULL, 'secret_key', 'Secret key', 1, 13, 0, 1, NULL, 0, 0, '', 0, NULL, 0, 0);
SET @field = LAST_INSERT_ID( ) ;
INSERT INTO `cms3_fields_controller` VALUES (20, @field, @field_group);
